Subject: Re: [PATCH net-next 2/2] net: phy: phy_link_topology: Lazy-initialize the link topology

From: Maxime Chevallier <[email-masked]>
Date: Mon, 13 May 2024 10:07:29 +0200

Hello again Heiner,

On Wed, 8 May 2024 07:44:22 +0200
Heiner Kallweit <[email-masked]> wrote:

> On 07.05.2024 12:28, Maxime Chevallier wrote:
> > Having the net_device's init path for the link_topology depend on
> > IS_REACHABLE(PHYLIB)-protected helpers triggers errors when modules are being
> > built with phylib as a module as-well, as they expect netdev->link_topo
> > to be initialized.
> > 
> > Move the link_topo initialization at the first PHY insertion, which will
> > both improve the memory usage, and make the behaviour more predicatble
> > and robust.

I agree with some of the comments, as stated in my previous mail,
however I'm struggling to find the time to fix, and re-test everything,
especially before net-next closes. Would it be OK if I re-send with a
fix for the kbuild bot warning, improve the commit log as you
mentionned for patch 1 so that at least the issue can be solved ?

I still have the netlink part of this work to send, so I definitely
will have to rework that, but with a bit less time constraints so that
I can properly re-test everything.

Best regards,

Maxime